Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_test.h
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_test.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_test.h	(revision 306)
@@ -4,5 +4,5 @@
  *      Advanced Standard Profile Kernel
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_test.h 362 2015-07-26 11:29:15Z ertl-hiro $
+ *  $Id: target_test.h 736 2016-04-04 23:50:03Z ertl-hiro $
  */
 
@@ -62,4 +62,11 @@
 
 /*
+ *  ãã¹ããã­ã°ã©ã ã§ä½¿ç¨ããæéãã©ã¡ã¼ã¿ã«é¢ããå®ç¾©
+ */
+#ifdef TOPPERS_USE_QEMU
+#define TEST_TIME_CP	1000U
+#endif /* TOPPERS_USE_QEMU */
+
+/*
  *  ã³ã¢ã§å
 ±éãªå®ç¾©ï¼ãããä¾å­é¨ã¯é£ã°ãï¼
@@ -67,10 +74,3 @@
 #include "core_test.h"
 
-/*
- *  ãã¹ããã­ã°ã©ã ã®åä½ãã©ã¡ã¼ã¿ã®å®ç¾©
- */
-#ifdef TOPPERS_USE_QEMU
-#define ALM1_RELTIM		2000U		/* ã¢ã©ã¼ã ãã³ãã©1ã«ä»æããç¸å¯¾æé */
-#endif /* TOPPERS_USE_QEMU */
-
 #endif /* TOPPERS_TARGET_TEST_H */
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_timer.h
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_timer.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_timer.h	(revision 306)
@@ -4,5 +4,5 @@
  *      Advanced Standard Profile Kernel
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_timer.h 458 2015-08-21 14:59:09Z ertl-hiro $
+ *  $Id: target_timer.h 742 2016-04-07 13:11:22Z ertl-hiro $
  */
 
@@ -95,5 +95,5 @@
 #define INHNO_OVRTIMER		OVRTIMER_TIMER_IRQNO	/* å²è¾¼ã¿ãã³ãã©çªå· */
 #define INTNO_OVRTIMER		OVRTIMER_TIMER_IRQNO	/* å²è¾¼ã¿çªå· */
-#define INTPRI_OVRTIMER		(TMAX_INTPRI - 1)		/* å²è¾¼ã¿åªå
+#define INTPRI_OVRTIMER		TMAX_INTPRI				/* å²è¾¼ã¿åªå
 åº¦ */
 #define INTATR_OVRTIMER		TA_NULL					/* å²è¾¼ã¿å±æ§ */
Index: asp3_wo_tecs/trunk/target/dummy_gcc/Makefile.target
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/Makefile.target	(revision 305)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/Makefile.target	(revision 306)
@@ -2,5 +2,5 @@
 #		Makefile ã®ã¿ã¼ã²ããä¾å­é¨ï¼ããã¼ã¿ã¼ã²ããç¨ï¼
 #
-#  $Id: Makefile.target 504 2016-01-12 01:19:55Z ertl-hiro $
+#  $Id: Makefile.target 572 2016-02-01 14:40:09Z ertl-hiro $
 # 
 
Index: asp3_wo_tecs/trunk/target/dummy_gcc/dummy.h
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/dummy.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/dummy.h	(revision 306)
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: dummy.h 238 2014-09-28 19:19:25Z ertl-hiro $
+ *  $Id: dummy.h 526 2016-01-14 11:43:26Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_kernel_impl.c
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_kernel_impl.c	(revision 305)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/target_kernel_impl.c	(revision 306)
@@ -4,5 +4,5 @@
  *      Advanced Standard Profile Kernel
  * 
- *  Copyright (C) 2013-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2013-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_kernel_impl.c 374 2015-07-30 22:01:54Z ertl-hiro $
+ *  $Id: target_kernel_impl.c 515 2016-01-13 02:21:39Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_kernel_impl.h
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_kernel_impl.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/target_kernel_impl.h	(revision 306)
@@ -4,5 +4,5 @@
  *      Advanced Standard Profile Kernel
  * 
- *  Copyright (C) 2013-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2013-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_kernel_impl.h 471 2015-12-30 10:03:16Z ertl-hiro $
+ *  $Id: target_kernel_impl.h 515 2016-01-13 02:21:39Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_stddef.h
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_stddef.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/target_stddef.h	(revision 306)
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_stddef.h 293 2014-11-30 09:27:54Z ertl-hiro $
+ *  $Id: target_stddef.h 509 2016-01-12 06:06:14Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_syssvc.h
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_syssvc.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/target_syssvc.h	(revision 306)
@@ -4,5 +4,5 @@
  *      Advanced Standard Profile Kernel
  * 
- *  Copyright (C) 2013-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2013-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_syssvc.h 293 2014-11-30 09:27:54Z ertl-hiro $
+ *  $Id: target_syssvc.h 524 2016-01-14 11:01:56Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/test/MANIFEST
===================================================================
--- asp3_wo_tecs/trunk/test/MANIFEST	(revision 305)
+++ asp3_wo_tecs/trunk/test/MANIFEST	(revision 306)
@@ -51,4 +51,7 @@
 test_dlynse.cfg
 test_dlynse.h
+test_dtq1.c
+test_dtq1.cfg
+test_dtq1.h
 test_flg1.c
 test_flg1.cfg
@@ -107,2 +110,3 @@
 test_tmevt1.cfg
 test_tmevt1.h
+testexec.rb
Index: asp3_wo_tecs/trunk/test/bit_kernel.c
===================================================================
--- asp3_wo_tecs/trunk/test/bit_kernel.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/bit_kernel.c	(revision 306)
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: bit_kernel.c 554 2016-01-17 13:21:59Z ertl-hiro $
+ *  $Id: bit_kernel.c 739 2016-04-05 15:09:40Z ertl-hiro $
  */
 
@@ -195,7 +195,7 @@
 
 	/*
-	 *  enadspã¨p_schedtskã®æ´åæ§ã®æ¤æ»
-	 */
-	if (enadsp) {
+	 *  dspflgã¨p_schedtskã®æ´åæ§ã®æ¤æ»
+	 */
+	if (dspflg) {
 		if (primap_empty()) {
 			if (p_schedtsk != NULL) {
Index: asp3_wo_tecs/trunk/test/test_cpuexc.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_cpuexc.cfg	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_cpuexc.cfg	(revision 306)
@@ -2,9 +2,7 @@
  *		CPUä¾å¤å¦çã®ãã¹ã(1)ã(10)ã®ã·ã¹ãã ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
  *
- *  $Id: test_cpuexc.cfg 404 2015-08-02 21:56:21Z ertl-hiro $
+ *  $Id: test_cpuexc.cfg 571 2016-02-01 14:29:07Z ertl-hiro $
  */
-INCLUDE("syssvc/syslog.cfg");
-INCLUDE("syssvc/banner.cfg");
-INCLUDE("syssvc/serial.cfg");
+INCLUDE("tecsgen.cfg");
 
 #include "test_cpuexc.h"
Index: asp3_wo_tecs/trunk/test/test_cpuexc.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_cpuexc.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_cpuexc.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_cpuexc.h 404 2015-08-02 21:56:21Z ertl-hiro $
+ *  $Id: test_cpuexc.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -80,4 +80,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_cpuexc1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_cpuexc1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_cpuexc1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_cpuexc1.c 346 2015-07-18 02:12:08Z ertl-hiro $
+ *  $Id: test_cpuexc1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -117,5 +117,5 @@
  *	2:	state(false, false, true, true, false)
  *		ipm(TIPM_ENAALL)
- *		sta_alm(ALM1, 10000U)
+ *		sta_alm(ALM1, TEST_TIME_PROC) ... ALM1ãå®è¡éå§ããã¾ã§
  *		DO(while(!alm1_flag))
  *	== ALM1 ==
@@ -223,5 +223,5 @@
 	check_ipm(TIPM_ENAALL);
 
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_cpuexc2.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_cpuexc2.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_cpuexc2.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_cpuexc2.c 346 2015-07-18 02:12:08Z ertl-hiro $
+ *  $Id: test_cpuexc2.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -111,5 +111,5 @@
  *	2:	state(false, false, true, true, false)
  *		ipm(TIPM_ENAALL)
- *		sta_alm(ALM1, 10000U)
+ *		sta_alm(ALM1, TEST_TIME_PROC) ... ALM1ãå®è¡éå§ããã¾ã§
  *		DO(while(!alm1_flag))
  *	== ALM1 ==
@@ -217,5 +217,5 @@
 	check_ipm(TIPM_ENAALL);
 
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_cpuexc3.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_cpuexc3.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_cpuexc3.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_cpuexc3.c 346 2015-07-18 02:12:08Z ertl-hiro $
+ *  $Id: test_cpuexc3.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -110,5 +110,5 @@
  *	2:	state(false, false, true, true, false)
  *		ipm(TIPM_ENAALL)
- *		sta_alm(ALM1, 10000U)
+ *		sta_alm(ALM1, TEST_TIME_PROC) ... ALM1ãå®è¡éå§ããã¾ã§
  *		DO(while(!alm1_flag))
  *	== ALM1 ==
@@ -211,5 +211,5 @@
 	check_ipm(TIPM_ENAALL);
 
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_dlynse.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_dlynse.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_dlynse.c	(revision 306)
@@ -5,5 +5,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -52,5 +52,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_dlynse.c 482 2016-01-03 13:12:51Z ertl-hiro $
+ *  $Id: test_dlynse.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -75,7 +75,7 @@
 #include "target_kernel_impl.h"
 
-#define	NO_LOOP		ULONG_C(1000000)
+#define	NO_LOOP		1000000UL
 
-SYSTIM	empty_time;
+HRTCNT	empty_time;
 
 static void
@@ -90,4 +90,9 @@
 	etime = fch_hrt();
 	empty_time = etime - stime;
+#ifdef TCYC_HRTCNT
+	if (etime < stime) {
+		empty_time += TCYC_HRTCNT;
+	}
+#endif /* TCYC_HRTCNT */
 	syslog(LOG_NOTICE, "empty loop: %u", empty_time);
 	(void) syslog_fls_log();
@@ -97,5 +102,5 @@
 test_dly_nse(ulong_t dlytim)
 {
-	HRTCNT	stime, etime;
+	HRTCNT	stime, etime, diff;
 	ulong_t	delay_time;
 	volatile ulong_t	i;
@@ -106,5 +111,11 @@
 	}
 	etime = fch_hrt();
-	delay_time = ((etime - stime) - empty_time) / 1000U;
+	diff = etime - stime;
+#ifdef TCYC_HRTCNT
+	if (etime < stime) {
+		diff += TCYC_HRTCNT;
+	}
+#endif /* TCYC_HRTCNT */
+	delay_time = (diff - empty_time) / 1000U;
 	syslog(LOG_NOTICE, "sil_dly_nse(%lu): %lu %s", dlytim, delay_time,
 									delay_time >= dlytim ? "OK" : "NG");
@@ -127,4 +138,8 @@
 	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 4);
 	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 5);
+	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 6);
+	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 7);
+	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 8);
+	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 9);
 	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 10);
 	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 20);
Index: asp3_wo_tecs/trunk/test/test_dtq1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_dtq1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_dtq1.c	(revision 306)
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_dtq1.c 602 2016-02-07 12:22:32Z ertl-hiro $
+ *  $Id: test_dtq1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -302,5 +302,5 @@
  *	== TASK3ï¼ç¶ãï¼==
  *	19:	assert(data == DATA1)
- *	20:	sta_alm(ALM1, 10000U)
+ *	20:	sta_alm(ALM1, TEST_TIME_CP) ... ALM1ãå®è¡éå§ããã¾ã§
  *	21:	rcv_dtq(DTQ2, &data)
  *	== ALM1 ==
@@ -626,5 +626,5 @@
 
 	check_point(20);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_dtq1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_dtq1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_dtq1.h	(revision 306)
@@ -2,5 +2,5 @@
  *		ãã¼ã¿ã­ã¥ã¼æ©è½ã®ãã¹ã(1)ã®ããããã¡ã¤ã«
  *
- *  $Id: test_dtq1.h 602 2016-02-07 12:22:32Z ertl-hiro $
+ *  $Id: test_dtq1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -30,4 +30,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  éåä¿¡ãããã¼ã¿ã®å®ç¾©
Index: asp3_wo_tecs/trunk/test/test_flg1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_flg1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_flg1.c	(revision 306)
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_flg1.c 599 2016-02-07 03:33:35Z ertl-hiro $
+ *  $Id: test_flg1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -319,5 +319,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	37:	clr_flg(FLG3, 0)
- *		sta_alm(ALM1, 10000U)
+ *		sta_alm(ALM1, 2 * TEST_TIME_CP) ... ALM1ãå®è¡éå§ããã¾ã§
  *	38:	wai_flg(FLG3, 0x01, TWF_ORW, &flgptn)
  *	== TASK3ï¼ç¶ãï¼==
@@ -578,5 +578,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, 2 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_flg1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_flg1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_flg1.h	(revision 306)
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_flg1.h 599 2016-02-07 03:33:35Z ertl-hiro $
+ *  $Id: test_flg1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_hrt1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_hrt1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_hrt1.c	(revision 306)
@@ -52,5 +52,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_hrt1.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_hrt1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -82,5 +82,5 @@
 #include "test_hrt1.h"
 
-#define	NO_LOOP		ULONG_C(100000)
+#define	NO_LOOP		100000UL
 
 HRTCNT	recent_hrtcnt;
Index: asp3_wo_tecs/trunk/test/test_mutex.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_mutex.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_mutex1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex1.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_mutex1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -147,5 +147,6 @@
  *		assert(rmtx.htskid == TASK2)
  *		assert(rmtx.wtskid == TSK_NONE)
- *		tloc_mtx(MTX1, 10000U) -> E_TMOUT	... (D-1)
+ *		tloc_mtx(MTX1, 3 * TEST_TIME_CP) -> E_TMOUT	... (D-1)
+ *									... TASK1ãå®è¡åéããã¾ã§
  *	15:	wup_tsk(TASK2)
  *	== TASK2ï¼ç¶ãï¼==
@@ -246,5 +247,5 @@
 	check_assert(rmtx.wtskid == TSK_NONE);
 
-	ercd = tloc_mtx(MTX1, 10000U);
+	ercd = tloc_mtx(MTX1, 3 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_mutex2.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex2.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex2.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex2.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_mutex2.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -148,5 +148,6 @@
  *		assert(rmtx.htskid == TASK2)
  *		assert(rmtx.wtskid == TSK_NONE)
- *		tloc_mtx(MTX1, 10000U) -> E_TMOUT	... (D-1)
+ *		tloc_mtx(MTX1, 3 * TEST_TIME_CP) -> E_TMOUT	... (D-1)
+ *									... TASK1ãå®è¡åéããã¾ã§
  *	15:	wup_tsk(TASK2)
  *	== TASK2ï¼ç¶ãï¼==
@@ -247,5 +248,5 @@
 	check_assert(rmtx.wtskid == TSK_NONE);
 
-	ercd = tloc_mtx(MTX1, 10000U);
+	ercd = tloc_mtx(MTX1, 3 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_mutex3.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex3.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex3.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex3.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_mutex3.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -124,5 +124,5 @@
  *		assert(rmtx.wtskid == TSK_NONE)
  *		act_tsk(TASK2)
- *	4:	tslp_tsk(10000U) -> E_TMOUT
+ *	4:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2ï¼åªå
 åº¦ï¼ä¸­ï¼==
@@ -134,5 +134,5 @@
  *		assert(rmtx.wtskid == TASK2)
  *		act_tsk(TASK3)
- *	7:	tslp_tsk(10000U) -> E_TMOUT
+ *	7:	tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK3ï¼åªå
 åº¦ï¼é«ï¼==
@@ -165,5 +165,6 @@
  *		assert(rmtx.htskid == TASK2)
  *		assert(rmtx.wtskid == TSK_NONE)
- *		tloc_mtx(MTX1, 10000U) -> E_TMOUT	... (D-1)
+ *		tloc_mtx(MTX1, 3 * TEST_TIME_CP) -> E_TMOUT	... (D-1)
+ *									... TASK1ãå®è¡åéããã¾ã§
  *	17:	wup_tsk(TASK2)
  *	== TASK2ï¼ç¶ãï¼==
@@ -229,5 +230,5 @@
 
 	check_point(4);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -244,5 +245,5 @@
 
 	check_point(7);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -287,5 +288,5 @@
 	check_assert(rmtx.wtskid == TSK_NONE);
 
-	ercd = tloc_mtx(MTX1, 10000U);
+	ercd = tloc_mtx(MTX1, 3 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_mutex5.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex5.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex5.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex5.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_mutex5.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -431,5 +431,5 @@
  *	== TASK5ï¼ç¶ãï¼==
  *	38:	loc_mtx(MTX4)
- *	39:	tslp_tsk(10000U) -> E_TMOUT
+ *	39:	tslp_tsk(3 * TEST_TIME_CP) -> E_TMOUT ... TASK5ãå®è¡åéããã¾ã§
  *	//		ä½ï¼TASK1âTASK2ï¼MTX4ï¼TASK5
  *	== TASK1ï¼ç¶ãï¼==
@@ -1058,5 +1058,5 @@
 
 	check_point(39);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(3 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_mutex5.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex5.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex5.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex5.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_mutex5.h 740 2016-04-05 15:44:39Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_mutex7.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex7.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex7.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2008-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex7.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_mutex7.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -207,5 +207,5 @@
  *	9:	loc_mtx(MTX1)
  *	//		ä¸­ï¼TASK2ï¼ä½ï¼TASK3ï¼MTX1ï¼TASK2
- *	10:	tslp_tsk(10000U) -> E_TMOUT
+ *	10:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK2-2ãå®è¡åéããã¾ã§
  *	//		ä½ï¼TASK3ï¼MTX1ï¼TASK2
  *	== TASK3-1ï¼åªå
@@ -288,5 +288,5 @@
  *		loc_mtx(MTX2)
  *	//		ä¸­ï¼TASK2ï¼ä½ï¼TASK3âTASK4ï¼MTX1ï¼TASK2ï¼MTX2ï¼TASK2
- *	34:	tslp_tsk(10000U) -> E_TMOUT
+ *	34:	tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK2-5ãå®è¡åéããã¾ã§
  *	//		ä½ï¼TASK3âTASK4ï¼MTX1ï¼TASK2ï¼MTX2ï¼TASK2
  *	== TASK3-3ï¼åªå
@@ -582,5 +582,5 @@
 
 		check_point(10);
-		ercd = tslp_tsk(10000U);
+		ercd = tslp_tsk(TEST_TIME_CP);
 		check_ercd(ercd, E_TMOUT);
 
@@ -625,5 +625,5 @@
 
 		check_point(34);
-		ercd = tslp_tsk(10000U);
+		ercd = tslp_tsk(2 * TEST_TIME_CP);
 		check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_mutex7.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex7.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex7.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2008-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex7.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_mutex7.h 740 2016-04-05 15:44:39Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_mutex8.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex8.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex8.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2009-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2009-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex8.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_mutex8.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -350,5 +350,5 @@
  *	== TASK5ï¼ç¶ãï¼==
  *	28:	loc_mtx(MTX2)
- *	29:	tslp_tsk(10000U) -> E_TMOUT
+ *	29:	tslp_tsk(3 * TEST_TIME_CP) -> E_TMOUT ... TASK5ãå®è¡åéããã¾ã§
  *	== TASK1ï¼ç¶ãï¼==
  *	30:	wup_tsk(TASK4)
@@ -380,5 +380,5 @@
  *	== TASK5ï¼ç¶ãï¼==
  *	41:	loc_mtx(MTX2)
- *	42:	tslp_tsk(10000U) -> E_TMOUT
+ *	42:	tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK5ãå®è¡åéããã¾ã§
  *	== TASK1ï¼ç¶ãï¼==
  *	43:	loc_mtx(MTX2)
@@ -412,5 +412,5 @@
  *	== TASK5ï¼ç¶ãï¼==
  *	55:	loc_mtx(MTX2)
- *	56:	tslp_tsk(10000U) -> E_TMOUT
+ *	56:	tslp_tsk(6 * TEST_TIME_CP) -> E_TMOUT ... TASK5ãå®è¡åéããã¾ã§
  *	//		ä¸­ï¼TASK1ï¼MTX1ï¼TASK1ï¼MTX2ï¼TASK5
  *	== TASK1ï¼ç¶ãï¼==
@@ -784,5 +784,5 @@
 
 	check_point(29);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(3 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -804,5 +804,5 @@
 
 	check_point(42);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -824,5 +824,5 @@
 
 	check_point(56);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(6 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_mutex8.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex8.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex8.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2009-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2009-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex8.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_mutex8.h 740 2016-04-05 15:44:39Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
